#ifndef Line_hpp
#define Line_hpp

#include "Vector.hpp"

class Line {
  Vector normal;
  Vector origin;
public:
  Line(
    const Vector& n = Vector::Y,
    const Vector& o = Vector::Zero
  );
  Line& set(
    const Vector& n = Vector::Y,
    const Vector& o = Vector::Zero
  );
  const Vector& getNormal() const;
  const Vector& getOrigin() const;
  const double getDistance(const Vector& v) const;
};

#endif
